Bug 179130 - [PATCH] pam_krb5 leaks file descriptor
[PATCH] pam_krb5 leaks file descriptor
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: pam_krb5 (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brian Brock
:
Depends On: 173681
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-27 11:32 EST by Nalin Dahyabhai
Modified: 2008-03-09 23:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-09 23:47:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nalin Dahyabhai 2006-01-27 11:32:17 EST
+++ This bug was initially created as a clone of Bug #173681 +++

From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050920
Firefox/1.0.7 SUSE/1.0.7-0.1

Description of problem:
When the 'validate' flag is given to pam_krb5 in the PAM configuration, pam_krb5
leaks a file descriptor.

Version-Release number of selected component (if applicable):
pam_krb5-2.1.8-1

How reproducible:
Always

Steps to Reproduce:
1. Enable validate for pam_krb5
2. Use pam_krb5 in a process that doesn't die after using PAM (like saslauthd)
3. Use lsof to verify that the file descriptor is being leaked
  

Actual Results:  One file descriptor is leaked per authentication.

Expected Results:  No files should be leaked.

Additional info:

-- Additional comment from dan.colascione@gmail.com on 2005-11-18 16:33 EST --
Created an attachment (id=121256)
Fixes file descriptor leak


-- Additional comment from nalin@redhat.com on 2005-11-21 17:06 EST --
Note to self: the file handle is stored in the krb5_keytab structure, and the
call to krb5_verify_init_creds overwrites the one we're using when it creates
its own cursor.
Comment 2 Christian Iseli 2007-01-22 06:21:30 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 3 petrosyan 2008-03-09 23:47:11 EDT
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.